
%if 0%{?fedora} > 16
%global ruby_abi 1.9.1
%else
%global ruby_abi 1.8
%global ruby_vendorlibdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"]')
%global ruby_vendorarchdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')
%endif

Name:    ruby-korundum 
Summary: Ruby bindings for libraries created by the KDE community 
Version: 4.8.3
Release: 1%{?dist}

# most GPLv2+, rbkconfig_compiler LGPLv2+
License: GPLv2+ and LGPLv2+
URL:     https://projects.kde.org/projects/kde/kdebindings/ruby/korundum
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/korundum-%{version}.tar.xz

## upstreamable patches
# https://bugs.kde.org/show_bug.cgi?id=287057
Patch50: korundum-4.8.0-ruby19.patch

BuildRequires: kdelibs4-devel >= %{version} 
BuildRequires: kdepimlibs-devel >= %{version}
BuildRequires: okular-devel
BuildRequires: pkgconfig(akonadi)
BuildRequires: ruby-devel ruby
BuildRequires: ruby-qt-devel >= %{version}
BuildRequires: smokekde-devel >= %{version}

# pkg renamed korundum => ruby-korundum @ 4.7.90-2
Obsoletes: korundum < 4.7.90-2
Provides:  korundum = %{version}-%{release}
Obsoletes: korundum-devel < 4.7.0
Provides:  korundum-devel = %{version}-%{release}

Requires: ruby(abi) = %{ruby_abi} 
Requires: ruby-qt%{?_isa} >= %{version}
Requires: smokekde%{?_isa} >= %{version}

%description
%{summary}.

%package akonadi
Summary: Akonadi runtime support for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: smokekde-akonadi%{?_isa} >= %{version}
%description akonadi
%{summary}.


%prep
%setup -q -n korundum-%{version}

%if 0%{?fedora} > 16
%patch50 -p1 -b .ruby19
%endif


%build
# just a cosmetic change for cmake defs
sed -i -e 's|SITEARCH|VENDORARCH|' -e 's|SITELIB|VENDORLIB|' CMakeLists.txt

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
  -DRUBY_VENDORARCH_DIR:PATH=%{ruby_vendorarchdir} \
  -DRUBY_VENDORLIB_DIR:PATH=%{ruby_vendorlibdir} \
   ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%files 
# rkbconfig_compiler4 is strictly a -devel piece, but not going to make a separate
# package for one file -- rex
%doc COPYING.LIB
%{_kde4_bindir}/rbkconfig_compiler4
%doc AUTHORS COPYING ChangeLog README
%{_kde4_bindir}/krubyapplication
%{ruby_vendorlibdir}/KDE/
%{ruby_vendorlibdir}/khtml/
%{ruby_vendorlibdir}/kio/
%{ruby_vendorlibdir}/ktexteditor/
%{ruby_vendorlibdir}/okular/
%{ruby_vendorlibdir}/solid/
%{ruby_vendorlibdir}/soprano/
%{ruby_vendorlibdir}/nepomuk/
%{ruby_vendorarchdir}/khtml.so
%{ruby_vendorarchdir}/kio.so
%{ruby_vendorarchdir}/korundum4.so
%{ruby_vendorarchdir}/ktexteditor.so
%{ruby_vendorarchdir}/nepomuk.so
%{ruby_vendorarchdir}/okular.so
%{ruby_vendorarchdir}/plasma_applet.so
%{ruby_vendorarchdir}/solid.so
%{ruby_vendorarchdir}/soprano.so
%{_kde4_libdir}/kde4/krubypluginfactory.so
%{_kde4_datadir}/applications/kde4/dbpedia_references.desktop
%{_kde4_appsdir}/dbpedia_references/
%{_kde4_datadir}/kde4/services/plasma-applet-ruby-analogclock.desktop
%{_kde4_appsdir}/plasma_applet_ruby_clock/
%{_kde4_datadir}/kde4/services/plasma-ruby-digital-clock-default.desktop
%{_kde4_appsdir}/plasma_ruby_digital_clock/

%files akonadi
%{ruby_vendorlibdir}/akonadi/
%{ruby_vendorarchdir}/akonadi.so


%changelog
* Tue May 01 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.3-1
- 4.8.3

* Fri Mar 30 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.2-1
- 4.8.2

* Fri Mar 23 2012 Rex Dieter <rdieter@fedoraproject.org> 4.8.1-2
- -akonadi subpkg

* Tue Mar 06 2012 Rex Dieter <rdieter@fedoraproject.org> 4.8.1-1
- 4.8.1

* Sat Feb 18 2012 Rex Dieter <rdieter@fedoraproject.org> 4.8.0-3
- actually use %%ruby_abi macro

* Fri Feb 17 2012 Rex Dieter <rdieter@fedoraproject.org> 4.8.0-2
- patch out call to Init_prelude (kde#287057)

* Sun Jan 22 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.0-1
- 4.8.0

* Thu Jan 05 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.7.97-1
- 4.7.97

* Wed Jan 04 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.7.90-1
- 4.7.90

* Fri Dec 23 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.95-1
- 4.7.95

* Wed Dec 21 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.90-2
- rename to ruby-korundum
- License: GPLv2+ and LGPLv2+

* Tue Dec 20 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.90-1
- first try

